package mod.common.neural;

public class Network {

	public int NoOfInput; /* Number of Input Units */
	public int NoOfHidden; // Number of Hidden Units
	public int NoOfOutput; /* Number of Output Units */
	public UT[] Units; /* Forward Declaration for all unit types */
	public UT[] Sources; /* Sources definition section */
	public float[] Weights; /* Weights from predecessor units */
	public UT[] Input; // Input Layer
	public UT[] Hidden; // Hidden Layer
	public UT[] Output; // Output Layer
	public int[] OutputNum; // Number of the output units static Network net;

	public Network() {
		Units = new UT[17];
		Units[0] = new UT();
		Units[1] = new UT();
		Units[2] = new UT();
		Units[3] = new UT();
		Units[4] = new UT();
		Units[5] = new UT();
		Units[6] = new UT();
		Units[7] = new UT();
		Units[8] = new UT();
		Units[9] = new UT();
		Units[10] = new UT();
		Units[11] = new UT();
		Units[12] = new UT();
		Units[13] = new UT();
		Units[14] = new UT();
		Units[15] = new UT();
		Units[16] = new UT();
		Sources = new UT[97];
		Weights = new float[97];
		Units[1].Bias = -0.77233f;
		Units[2].Bias = 0.34745f;
		Units[3].Bias = 0.22715f;
		Units[4].Bias = 0.02664f;
		Units[5].Bias = -0.15354f;
		Units[6].Bias = 1.40117f;
		Units[7].Bias = -1.32117f;
		Units[8].Bias = -45.74916f;
		Units[9].Bias = -4.16013f;
		Units[10].Bias = 1.05555f;
		Units[11].Bias = -9.30076f;
		Units[12].Bias = 0.50872f;
		Units[13].Bias = 0.86694f;
		Units[14].Bias = 2.83454f;
		Units[15].Bias = -0.44673f;
		Units[16].Bias = 0.90249f;
		NoOfInput = 5;
		NoOfOutput = 5;
		NoOfHidden = 6;
		Sources[4] = Units[5];
		Weights[4] = 14.45333f;
		Sources[3] = Units[4];
		Weights[3] = 2.83606f;
		Sources[2] = Units[3];
		Weights[2] = 4.48297f;
		Sources[1] = Units[2];
		Weights[1] = -26.67178f;
		Sources[0] = Units[1];
		Weights[0] = 0.37017f;
		Units[6].NoOfSources = 5;
		Units[6].sources = new UT[5];
		Units[6].weights = new float[5];
		Units[6].sources[0] = Sources[0];
		Units[6].weights[0] = Weights[0];
		Units[6].sources[1] = Sources[1];
		Units[6].weights[1] = Weights[1];
		Units[6].sources[2] = Sources[2];
		Units[6].weights[2] = Weights[2];
		Units[6].sources[3] = Sources[3];
		Units[6].weights[3] = Weights[3];
		Units[6].sources[4] = Sources[4];
		Units[6].weights[4] = Weights[4];
		Sources[9] = Units[5];
		Weights[9] = -8.31325f;
		Sources[8] = Units[4];
		Weights[8] = 18.11518f;
		Sources[7] = Units[3];
		Weights[7] = 2.25625f;
		Sources[6] = Units[2];
		Weights[6] = 5.58988f;
		Sources[5] = Units[1];
		Weights[5] = -16.10413f;
		Units[7].NoOfSources = 5;
		Units[7].sources = new UT[5];
		Units[7].weights = new float[5];
		Units[7].sources[0] = Sources[5];
		Units[7].weights[0] = Weights[5];
		Units[7].sources[1] = Sources[6];
		Units[7].weights[1] = Weights[6];
		Units[7].sources[2] = Sources[7];
		Units[7].weights[2] = Weights[7];
		Units[7].sources[3] = Sources[8];
		Units[7].weights[3] = Weights[8];
		Units[7].sources[4] = Sources[9];
		Units[7].weights[4] = Weights[9];
		Sources[16] = Units[7];
		Weights[16] = -3.17545f;
		Sources[15] = Units[6];
		Weights[15] = 4.38906f;
		Sources[14] = Units[5];
		Weights[14] = 11.23794f;
		Sources[13] = Units[4];
		Weights[13] = 12.46542f;
		Sources[12] = Units[3];
		Weights[12] = 5.63585f;
		Sources[11] = Units[2];
		Weights[11] = 25.39733f;
		Sources[10] = Units[1];
		Weights[10] = 50.09049f;
		Units[8].NoOfSources = 7;
		Units[8].sources = new UT[7];
		Units[8].weights = new float[7];
		Units[8].sources[0] = Sources[10];
		Units[8].weights[0] = Weights[10];
		Units[8].sources[1] = Sources[11];
		Units[8].weights[1] = Weights[11];
		Units[8].sources[2] = Sources[12];
		Units[8].weights[2] = Weights[12];
		Units[8].sources[3] = Sources[13];
		Units[8].weights[3] = Weights[13];
		Units[8].sources[4] = Sources[14];
		Units[8].weights[4] = Weights[14];
		Units[8].sources[5] = Sources[15];
		Units[8].weights[5] = Weights[15];
		Units[8].sources[6] = Sources[16];
		Units[8].weights[6] = Weights[16];
		Sources[23] = Units[7];
		Weights[23] = -8.70852f;
		Sources[22] = Units[6];
		Weights[22] = -4.25715f;
		Sources[21] = Units[5];
		Weights[21] = 11.76201f;
		Sources[20] = Units[4];
		Weights[20] = 14.70037f;
		Sources[19] = Units[3];
		Weights[19] = 7.65715f;
		Sources[18] = Units[2];
		Weights[18] = -2.7294f;
		Sources[17] = Units[1];
		Weights[17] = -18.1146f;
		Units[9].NoOfSources = 7;
		Units[9].sources = new UT[7];
		Units[9].weights = new float[7];
		Units[9].sources[0] = Sources[17];
		Units[9].weights[0] = Weights[17];
		Units[9].sources[1] = Sources[18];
		Units[9].weights[1] = Weights[18];
		Units[9].sources[2] = Sources[19];
		Units[9].weights[2] = Weights[19];
		Units[9].sources[3] = Sources[20];
		Units[9].weights[3] = Weights[20];
		Units[9].sources[4] = Sources[21];
		Units[9].weights[4] = Weights[21];
		Units[9].sources[5] = Sources[22];
		Units[9].weights[5] = Weights[22];
		Units[9].sources[6] = Sources[23];
		Units[9].weights[6] = Weights[23];
		Sources[32] = Units[9];
		Weights[32] = 2.85785f;
		Sources[31] = Units[8];
		Weights[31] = -4.29021f;
		Sources[30] = Units[7];
		Weights[30] = 4.61827f;
		Sources[29] = Units[6];
		Weights[29] = -1.9825f;
		Sources[28] = Units[5];
		Weights[28] = 16.35152f;
		Sources[27] = Units[4];
		Weights[27] = -20.10732f;
		Sources[26] = Units[3];
		Weights[26] = -7.5413f;
		Sources[25] = Units[2];
		Weights[25] = -21.12658f;
		Sources[24] = Units[1];
		Weights[24] = 22.77926f;
		Units[10].NoOfSources = 9;
		Units[10].sources = new UT[9];
		Units[10].weights = new float[9];
		Units[10].sources[0] = Sources[24];
		Units[10].weights[0] = Weights[24];
		Units[10].sources[1] = Sources[25];
		Units[10].weights[1] = Weights[25];
		Units[10].sources[2] = Sources[26];
		Units[10].weights[2] = Weights[26];
		Units[10].sources[3] = Sources[27];
		Units[10].weights[3] = Weights[27];
		Units[10].sources[4] = Sources[28];
		Units[10].weights[4] = Weights[28];
		Units[10].sources[5] = Sources[29];
		Units[10].weights[5] = Weights[29];
		Units[10].sources[6] = Sources[30];
		Units[10].weights[6] = Weights[30];
		Units[10].sources[7] = Sources[31];
		Units[10].weights[7] = Weights[31];
		Units[10].sources[8] = Sources[32];
		Units[10].weights[8] = Weights[32];
		Sources[41] = Units[9];
		Weights[41] = 3.17623f;
		Sources[40] = Units[8];
		Weights[40] = 6.79524f;
		Sources[39] = Units[7];
		Weights[39] = 5.14499f;
		Sources[38] = Units[6];
		Weights[38] = 6.78885f;
		Sources[37] = Units[5];
		Weights[37] = -2.00902f;
		Sources[36] = Units[4];
		Weights[36] = -21.47812f;
		Sources[35] = Units[3];
		Weights[35] = -16.36723f;
		Sources[34] = Units[2];
		Weights[34] = -1.49916f;
		Sources[33] = Units[1];
		Weights[33] = 34.69173f;
		Units[11].NoOfSources = 9;
		Units[11].sources = new UT[9];
		Units[11].weights = new float[9];
		Units[11].sources[0] = Sources[33];
		Units[11].weights[0] = Weights[33];
		Units[11].sources[1] = Sources[34];
		Units[11].weights[1] = Weights[34];
		Units[11].sources[2] = Sources[35];
		Units[11].weights[2] = Weights[35];
		Units[11].sources[3] = Sources[36];
		Units[11].weights[3] = Weights[36];
		Units[11].sources[4] = Sources[37];
		Units[11].weights[4] = Weights[37];
		Units[11].sources[5] = Sources[38];
		Units[11].weights[5] = Weights[38];
		Units[11].sources[6] = Sources[39];
		Units[11].weights[6] = Weights[39];
		Units[11].sources[7] = Sources[40];
		Units[11].weights[7] = Weights[40];
		Units[11].sources[8] = Sources[41];
		Units[11].weights[8] = Weights[41];
		Sources[52] = Units[11];
		Weights[52] = 5.20147f;
		Sources[51] = Units[10];
		Weights[51] = 2.98319f;
		Sources[50] = Units[9];
		Weights[50] = 0.90063f;
		Sources[49] = Units[8];
		Weights[49] = -1.07739f;
		Sources[48] = Units[7];
		Weights[48] = 6.2628f;
		Sources[47] = Units[6];
		Weights[47] = -0.02543f;
		Sources[46] = Units[5];
		Weights[46] = 2.11644f;
		Sources[45] = Units[4];
		Weights[45] = -0.6065f;
		Sources[44] = Units[3];
		Weights[44] = 4.86109f;
		Sources[43] = Units[2];
		Weights[43] = -2.48072f;
		Sources[42] = Units[1];
		Weights[42] = -13.48793f;
		Units[12].NoOfSources = 11;
		Units[12].sources = new UT[11];
		Units[12].weights = new float[11];
		Units[12].sources[0] = Sources[42];
		Units[12].weights[0] = Weights[42];
		Units[12].sources[1] = Sources[43];
		Units[12].weights[1] = Weights[43];
		Units[12].sources[2] = Sources[44];
		Units[12].weights[2] = Weights[44];
		Units[12].sources[3] = Sources[45];
		Units[12].weights[3] = Weights[45];
		Units[12].sources[4] = Sources[46];
		Units[12].weights[4] = Weights[46];
		Units[12].sources[5] = Sources[47];
		Units[12].weights[5] = Weights[47];
		Units[12].sources[6] = Sources[48];
		Units[12].weights[6] = Weights[48];
		Units[12].sources[7] = Sources[49];
		Units[12].weights[7] = Weights[49];
		Units[12].sources[8] = Sources[50];
		Units[12].weights[8] = Weights[50];
		Units[12].sources[9] = Sources[51];
		Units[12].weights[9] = Weights[51];
		Units[12].sources[10] = Sources[52];
		Units[12].weights[10] = Weights[52];
		Sources[63] = Units[11];
		Weights[63] = 5.12919f;
		Sources[62] = Units[10];
		Weights[62] = 2.018f;
		Sources[61] = Units[9];
		Weights[61] = 4.72769f;
		Sources[60] = Units[8];
		Weights[60] = -0.08647f;
		Sources[59] = Units[7];
		Weights[59] = 5.60405f;
		Sources[58] = Units[6];
		Weights[58] = 3.49034f;
		Sources[57] = Units[5];
		Weights[57] = 0.11813f;
		Sources[56] = Units[4];
		Weights[56] = -5.34127f;
		Sources[55] = Units[3];
		Weights[55] = -5.25931f;
		Sources[54] = Units[2];
		Weights[54] = -5.25619f;
		Sources[53] = Units[1];
		Weights[53] = 0.62014f;
		Units[13].NoOfSources = 11;
		Units[13].sources = new UT[11];
		Units[13].weights = new float[11];
		Units[13].sources[0] = Sources[53];
		Units[13].weights[0] = Weights[53];
		Units[13].sources[1] = Sources[54];
		Units[13].weights[1] = Weights[54];
		Units[13].sources[2] = Sources[55];
		Units[13].weights[2] = Weights[55];
		Units[13].sources[3] = Sources[56];
		Units[13].weights[3] = Weights[56];
		Units[13].sources[4] = Sources[57];
		Units[13].weights[4] = Weights[57];
		Units[13].sources[5] = Sources[58];
		Units[13].weights[5] = Weights[58];
		Units[13].sources[6] = Sources[59];
		Units[13].weights[6] = Weights[59];
		Units[13].sources[7] = Sources[60];
		Units[13].weights[7] = Weights[60];
		Units[13].sources[8] = Sources[61];
		Units[13].weights[8] = Weights[61];
		Units[13].sources[9] = Sources[62];
		Units[13].weights[9] = Weights[62];
		Units[13].sources[10] = Sources[63];
		Units[13].weights[10] = Weights[63];
		Sources[74] = Units[11];
		Weights[74] = 6.18726f;
		Sources[73] = Units[10];
		Weights[73] = 2.569f;
		Sources[72] = Units[9];
		Weights[72] = 4.73825f;
		Sources[71] = Units[8];
		Weights[71] = 0.02569f;
		Sources[70] = Units[7];
		Weights[70] = -1.94541f;
		Sources[69] = Units[6];
		Weights[69] = 4.48597f;
		Sources[68] = Units[5];
		Weights[68] = 3.26241f;
		Sources[67] = Units[4];
		Weights[67] = -9.76414f;
		Sources[66] = Units[3];
		Weights[66] = -1.04116f;
		Sources[65] = Units[2];
		Weights[65] = -5.6487f;
		Sources[64] = Units[1];
		Weights[64] = -0.96768f;
		Units[14].NoOfSources = 11;
		Units[14].sources = new UT[11];
		Units[14].weights = new float[11];
		Units[14].sources[0] = Sources[64];
		Units[14].weights[0] = Weights[64];
		Units[14].sources[1] = Sources[65];
		Units[14].weights[1] = Weights[65];
		Units[14].sources[2] = Sources[66];
		Units[14].weights[2] = Weights[66];
		Units[14].sources[3] = Sources[67];
		Units[14].weights[3] = Weights[67];
		Units[14].sources[4] = Sources[68];
		Units[14].weights[4] = Weights[68];
		Units[14].sources[5] = Sources[69];
		Units[14].weights[5] = Weights[69];
		Units[14].sources[6] = Sources[70];
		Units[14].weights[6] = Weights[70];
		Units[14].sources[7] = Sources[71];
		Units[14].weights[7] = Weights[71];
		Units[14].sources[8] = Sources[72];
		Units[14].weights[8] = Weights[72];
		Units[14].sources[9] = Sources[73];
		Units[14].weights[9] = Weights[73];
		Units[14].sources[10] = Sources[74];
		Units[14].weights[10] = Weights[74];
		Sources[85] = Units[11];
		Weights[85] = 4.6794f;
		Sources[84] = Units[10];
		Weights[84] = 18.12013f;
		Sources[83] = Units[9];
		Weights[83] = 0.48956f;
		Sources[82] = Units[8];
		Weights[82] = 2.18884f;
		Sources[81] = Units[7];
		Weights[81] = -0.69866f;
		Sources[80] = Units[6];
		Weights[80] = -0.05421f;
		Sources[79] = Units[5];
		Weights[79] = -3.64042f;
		Sources[78] = Units[4];
		Weights[78] = -12.35573f;
		Sources[77] = Units[3];
		Weights[77] = 3.22181f;
		Sources[76] = Units[2];
		Weights[76] = 12.39896f;
		Sources[75] = Units[1];
		Weights[75] = -7.89072f;
		Units[15].NoOfSources = 11;
		Units[15].sources = new UT[11];
		Units[15].weights = new float[11];
		Units[15].sources[0] = Sources[75];
		Units[15].weights[0] = Weights[75];
		Units[15].sources[1] = Sources[76];
		Units[15].weights[1] = Weights[76];
		Units[15].sources[2] = Sources[77];
		Units[15].weights[2] = Weights[77];
		Units[15].sources[3] = Sources[78];
		Units[15].weights[3] = Weights[78];
		Units[15].sources[4] = Sources[79];
		Units[15].weights[4] = Weights[79];
		Units[15].sources[5] = Sources[80];
		Units[15].weights[5] = Weights[80];
		Units[15].sources[6] = Sources[81];
		Units[15].weights[6] = Weights[81];
		Units[15].sources[7] = Sources[82];
		Units[15].weights[7] = Weights[82];
		Units[15].sources[8] = Sources[83];
		Units[15].weights[8] = Weights[83];
		Units[15].sources[9] = Sources[84];
		Units[15].weights[9] = Weights[84];
		Units[15].sources[10] = Sources[85];
		Units[15].weights[10] = Weights[85];
		Sources[96] = Units[11];
		Weights[96] = 4.4939f;
		Sources[95] = Units[10];
		Weights[95] = 12.21935f;
		Sources[94] = Units[9];
		Weights[94] = -1.58756f;
		Sources[93] = Units[8];
		Weights[93] = 0.52711f;
		Sources[92] = Units[7];
		Weights[92] = -5.59372f;
		Sources[91] = Units[6];
		Weights[91] = -1.71955f;
		Sources[90] = Units[5];
		Weights[90] = -19.83149f;
		Sources[89] = Units[4];
		Weights[89] = 8.23492f;
		Sources[88] = Units[3];
		Weights[88] = 12.20923f;
		Sources[87] = Units[2];
		Weights[87] = 20.8636f;
		Sources[86] = Units[1];
		Weights[86] = -23.6405f;
		Units[16].NoOfSources = 11;
		Units[16].sources = new UT[11];
		Units[16].weights = new float[11];
		Units[16].sources[0] = Sources[86];
		Units[16].weights[0] = Weights[86];
		Units[16].sources[1] = Sources[87];
		Units[16].weights[1] = Weights[87];
		Units[16].sources[2] = Sources[88];
		Units[16].weights[2] = Weights[88];
		Units[16].sources[3] = Sources[89];
		Units[16].weights[3] = Weights[89];
		Units[16].sources[4] = Sources[90];
		Units[16].weights[4] = Weights[90];
		Units[16].sources[5] = Sources[91];
		Units[16].weights[5] = Weights[91];
		Units[16].sources[6] = Sources[92];
		Units[16].weights[6] = Weights[92];
		Units[16].sources[7] = Sources[93];
		Units[16].weights[7] = Weights[93];
		Units[16].sources[8] = Sources[94];
		Units[16].weights[8] = Weights[94];
		Units[16].sources[9] = Sources[95];
		Units[16].weights[9] = Weights[95];
		Units[16].sources[10] = Sources[96];
		Units[16].weights[10] = Weights[96];
		Input = new UT[5];
		Input[0] = Units[1];
		Input[1] = Units[2];
		Input[2] = Units[3];
		Input[3] = Units[4];
		Input[4] = Units[5];
		Hidden = new UT[6];
		Hidden[0] = Units[6];
		Hidden[1] = Units[7];
		Hidden[2] = Units[8];
		Hidden[3] = Units[9];
		Hidden[4] = Units[10];
		Hidden[5] = Units[11];
		Output = new UT[5];
		Output[0] = Units[12];
		Output[1] = Units[13];
		Output[2] = Units[14];
		Output[3] = Units[15];
		Output[4] = Units[16];
		OutputNum = new int[5];
		OutputNum[0] = 12;
		OutputNum[1] = 13;
		OutputNum[2] = 14;
		OutputNum[3] = 15;
		OutputNum[4] = 16;
	}
}
